diff --git a/test/alpha-loop.c b/test/alpha-loop.c
index 4d4384d..0567ef8 100644
--- a/test/alpha-loop.c
+++ b/test/alpha-loop.c
@@ -22,7 +22,7 @@ main (int argc, char **argv)
     d = pixman_image_create_bits (PIXMAN_a8r8g8b8, WIDTH, HEIGHT, dest, WIDTH * 4);
     s = pixman_image_create_bits (PIXMAN_a2r10g10b10, WIDTH, HEIGHT, src, WIDTH * 4);
 
-    fail_after (5, "Infinite loop detected: 5 seconds without progress\n");
+    fail_after (50, "Infinite loop detected: 50 seconds without progress\n");
 
     pixman_image_set_alpha_map (s, a, 0, 0);
     pixman_image_set_alpha_map (a, s, 0, 0);
